%define fullversion %{version}u1

Name:           glassfish-jaxb
Version:        2.2.4
Release:        1%{?dist}
Summary:        JAXB Reference Implementation

Group:          Development/Libraries
License:        CDDL 1.1 and GPLv2 with exceptions
URL:            http://jaxb.java.net/

# svn export https://svn.java.net/svn/jaxb~version2/tags/jaxb-2_2_4u1/ glassfish-jaxb-2.2.4u1
# find glassfish-jaxb-2.2.4u1/ -name '*.class' -delete
# find glassfish-jaxb-2.2.4u1/ -name '*.jar' -delete
# tar czf glassfish-jaxb-2.2.4u1.tar.gz glassfish-jaxb-2.2.4u1
Source0:        glassfish-jaxb-%{fullversion}.tar.gz
# jaxb-impl POM
Source1:        jaxb-impl-2.2.4-1.pom
# jaxb-xjc POM
Source2:        jaxb-xjc-2.2.4-1.pom

# Using xml-commons-resolver 
Patch0:         glassfish-jaxb-%{fullversion}-resolver.patch
# Removing Jing driver because of incompatibility issues
Patch1:         %{name}-%{fullversion}-jing.patch
# Simplifying dist generation
Patch2:         glassfish-jaxb-%{fullversion}-build.patch

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel

BuildRequires:  ant
BuildRequires:  codemodel
BuildRequires:  istack-commons
BuildRequires:  relaxngcc
BuildRequires:  xml-commons-resolver
BuildRequires:  package-rename-task
BuildRequires:  txw2
BuildRequires:  relaxngDatatype
BuildRequires:  glassfish-dtd-parser
BuildRequires:  glassfish-jaxb-api
BuildRequires:  glassfish-fi
BuildRequires:  jing
BuildRequires:  stax-ex
BuildRequires:  isorelax
BuildRequires:  xsom

Requires:       glassfish-dtd-parser
Requires:       xml-commons-resolver
Requires:       xsom
Requires:       isorelax
Requires:       jing
Requires:       stax-ex
Requires:       glassfish-fi
Requires:       glassfish-jaxb-api
Requires:       relaxngDatatype
Requires:       txw2
Requires:       relaxngcc
Requires:       istack-commons
Requires:       codemodel
Requires:       jpackage-utils
Requires:       java

%description
TODO

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n glassfish-jaxb-%{fullversion}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export CLASSPATH=$(build-classpath jing glassfish-dtd-parser xml-commons-resolver xsom isorelax stax-ex glassfish-fi glassfish-jaxb-api jaxme/jaxmeapi jing relaxngDatatype args4j rngom txw2-runtime txw2-compiler package-rename-task relaxngcc codemodel-codemodel codemodel-codemodel-annotation-compiler istack-commons-tools istack-commons-runtime)

ln -s %{_javadir}/glassfish-jaxb-api.jar tools/lib/redist/jaxb-api.jar

build-jar-repository -s -p tools/lib/util relaxngcc

ant dist

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -m 644 dist/lib/jaxb-xjc.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-xjc.jar
install -m 644 dist/lib/jaxb-impl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-impl.jar
install -m 644 tools/pretty-printer/build/pretty-printer.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/pretty-printer.jar
install -m 644 tools/xmllint/build/xmllint.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xmllint.jar

# JAVADOC
#cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-impl.pom
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-xjc.pom

# DEPMAP
%add_maven_depmap JPP.%{name}-%{name}-impl.pom %{name}/%{name}-impl.jar
%add_maven_depmap JPP.%{name}-%{name}-xjc.pom %{name}/%{name}-xjc.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc License.txt License.html

%files javadoc
%{_javadocdir}/%{name}

%changelog

